commit:     4b8892ae1d5f997bd678d4cfd9864ea916620bb8
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun May  5 18:48:09 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun May  5 23:43:46 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b8892ae

games-strategy/endless-sky: add 0.10.6

Sorry for long overdue bump, may look at this package myself
in the future for bumps.

bug #929596: python is no longer used due to migration to cmake

bug #906990: untested with musl+gcc but looking at the sources
the immediate issue noted should be fixed (lot of missing cstdint
were added), please file a new bug if still broken with musl

Closes: https://bugs.gentoo.org/906990
Closes: https://bugs.gentoo.org/915807
Closes: https://bugs.gentoo.org/929596
Thanks-to: hkBst
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-strategy/endless-sky/Manifest                |  1 +
 .../endless-sky/endless-sky-0.10.6.ebuild          | 87 ++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/games-strategy/endless-sky/Manifest 
b/games-strategy/endless-sky/Manifest
index c978ae4a65e1..69ff9993f8da 100644
--- a/games-strategy/endless-sky/Manifest
+++ b/games-strategy/endless-sky/Manifest
@@ -1 +1,2 @@
+DIST endless-sky-0.10.6.tar.gz 256438340 BLAKE2B 
39699f458b691dd8aa0586ebbb5b537b8b999ea0084abc561803e21e97986dd6ef28582545fc79cc5cd3ef5d4c587b96860fd7b94294acf2fee31224543ac4ff
 SHA512 
815f64db07997cc8732b12887f55d363f0ef7e44a158dc83fc0b6c4c12c69dab3bf7e1b14c7e93fe920974d8c28b8043f39808227219f09adfe618a00389a530
 DIST endless-sky-0.9.16.1.tar.gz 184582283 BLAKE2B 
3c35df96b54546811713b123bf43993df6ba5271988decd7408722263c2edd904c84888db61c2d22554b3f60edebd25db7913e7784f309ff936d37c815bc6650
 SHA512 
83e0a47160506b1e3608f67534e2dbcf51515d809016efc379448d14331229ffe26360f82cc60c565c84b10c605aec846efc19bcd4af10ee116e5ef8fc804d56

diff --git a/games-strategy/endless-sky/endless-sky-0.10.6.ebuild 
b/games-strategy/endless-sky/endless-sky-0.10.6.ebuild
new file mode 100644
index 000000000000..d1f1437b24c2
--- /dev/null
+++ b/games-strategy/endless-sky/endless-sky-0.10.6.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake prefix xdg
+
+DESCRIPTION="Space exploration, trading & combat in the tradition of Terminal 
Velocity"
+HOMEPAGE="https://endless-sky.github.io/";
+SRC_URI="
+       
https://github.com/endless-sky/endless-sky/archive/refs/tags/v${PV}.tar.gz
+               -> ${P}.tar.gz
+"
+
+LICENSE="
+       GPL-3+
+       CC-BY-2.0 CC-BY-3.0 CC-BY-4.0
+       CC-BY-SA-3.0 CC-BY-SA-4.0
+       CC0-1.0 public-domain
+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gles2-only test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       media-libs/libglvnd
+       media-libs/libjpeg-turbo:=
+       media-libs/libmad
+       media-libs/libpng:=
+       media-libs/libsdl2[video]
+       media-libs/openal
+       sys-apps/util-linux
+       gles2-only? ( media-libs/libsdl2[gles2] )
+       !gles2-only? (
+               media-libs/glew:0=
+               media-libs/libsdl2[opengl]
+       )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       cmake_src_prepare
+
+       # no /usr/*games/ on Gentoo, adjust docdir, install even if != Release,
+       # and GLEW is unused if USE=gles2-only (using sed for less rebasing)
+       sed -e '/install(/s: games: bin:' \
+               -e '/install(/s: share/games: share:' \
+               -e "/install(/s: share/doc/endless-sky: share/doc/${PF}:" \
+               -e '/install(/s: CONFIGURATIONS Release::' \
+               -e 's:GLEW REQUIRED:GLEW:' \
+               -i CMakeLists.txt || die
+       sed -i '/PATH/s:share/games:share:' source/Files.cpp || die
+
+       hprefixify -w /PATH/ source/Files.cpp
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_TESTING=$(usex test)
+               -DES_GLES=$(usex gles2-only)
+               -DES_USE_SYSTEM_LIBRARIES=yes
+               -DES_USE_VCPKG=no
+       )
+
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+
+       gzip -d -- "${ED}"/usr/share/man/man6/${PN}.6.gz || die
+       rm -- "${ED}"/usr/share/doc/${PF}/{copyright,license.txt} || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "Endless Sky provides high-res sprites for high-dpi 
screens."
+               elog "If you want to use them, download:"
+               elog
+               elog "   
https://github.com/endless-sky/endless-sky-high-dpi/releases";
+               elog
+               elog "and extract it to ~/.local/share/endless-sky/plugins/"
+       fi
+}

Reply via email to